gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ButtonBox

Contents

- Exported types
- Methods
  - getChildNonHomogeneous
  - getChildSecondary
  - getLayout
  - new
  - setChildNonHomogeneous
  - setChildSecondary
  - setLayout
- Properties
  - layoutStyle

Description

No description available in the introspection data.

Synopsis

- newtype ButtonBox = ButtonBox (ManagedPtr ButtonBox)
- class (GObject o, IsDescendantOf ButtonBox o) => IsButtonBox o
- toButtonBox :: (MonadIO m, IsButtonBox o) => o -> m ButtonBox
- buttonBoxGetChildNonHomogeneous :: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) => a -> b -> m Bool
- buttonBoxGetChildSecondary :: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) => a -> b -> m Bool
- buttonBoxGetLayout :: (HasCallStack, MonadIO m, IsButtonBox a) => a -> m ButtonBoxStyle
- buttonBoxNew :: (HasCallStack, MonadIO m) => Orientation -> m ButtonBox
- buttonBoxSetChildNonHomogeneous :: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) => a -> b -> Bool -> m ()
- buttonBoxSetChildSecondary :: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) => a -> b -> Bool -> m ()
- buttonBoxSetLayout :: (HasCallStack, MonadIO m, IsButtonBox a) => a -> ButtonBoxStyle -> m ()
- constructButtonBoxLayoutStyle :: (IsButtonBox o, MonadIO m) => ButtonBoxStyle -> m (GValueConstruct o)
- getButtonBoxLayoutStyle :: (MonadIO m, IsButtonBox o) => o -> m ButtonBoxStyle
- setButtonBoxLayoutStyle :: (MonadIO m, IsButtonBox o) => o -> ButtonBoxStyle -> m ()

# Exported types

newtype ButtonBox Source #

Memory-managed wrapper type.

Constructors

ButtonBox (ManagedPtr ButtonBox) |

#### Instances

Instances details

Eq ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox Methods (==) :: ButtonBox -> ButtonBox -> Bool Source # (/=) :: ButtonBox -> ButtonBox -> Bool Source #
GObject ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox
ManagedPtrNewtype ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox Methods toManagedPtr :: ButtonBox -> ManagedPtr ButtonBox Source #
TypedObject ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox Methods glibType :: IO GType Source #
HasParentTypes ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox
IsGValue (Maybe ButtonBox) Source # | Convert `ButtonBox` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ButtonBox Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ButtonBox -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ButtonBox) Source #
type ParentTypes ButtonBox Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox type ParentTypes ButtonBox = '[Box, Container, Widget, Object, ImplementorIface, Buildable, Orientable]

class (GObject o, IsDescendantOf ButtonBox o) => IsButtonBox o Source #

Type class for types which can be safely cast to `ButtonBox`, for instance with `toButtonBox`.

#### Instances

Instances details

(GObject o, IsDescendantOf ButtonBox o) => IsButtonBox o Source # |
Instance details Defined in GI.Gtk.Objects.ButtonBox

toButtonBox :: (MonadIO m, IsButtonBox o) => o -> m ButtonBox Source #

Cast to `ButtonBox`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, add, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, checkResize, childFocus, childGetProperty, childNotify, childNotifyByPspec, childSetProperty, childType, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forall, forceFloating, foreach, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, packEnd, packStart, parserFinished, path, propagateDraw, queryChildPacking, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, ref, refSink, regionIntersect, registerWindow, remove, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reorderChild, reparent, resetRcStyles, resetStyle, resizeChildren, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetFocusChain, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getBaselinePosition, getBorderWidth, getCanDefault, getCanFocus, getCenterWidget, getChildNonHomogeneous, getChildRequisition, getChildSecondary, getChildVisible, getChildren, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEvents, getFocusChain, getFocusChild, getFocusHadjustment, getFocusOnClick, getFocusVadjustment, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getHomogeneous, getInternalChild, getLayout, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getOrientation, getPangoContext, getParent, getParentWindow, getPath, getPathForChild, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getRequestMode, getRequisition, getResizeMode, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getSpacing, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBaselinePosition, setBorderWidth, setBuildableProperty, setCanDefault, setCanFocus, setCenterWidget, setChildNonHomogeneous, setChildPacking, setChildSecondary, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusChain, setFocusChild, setFocusHadjustment, setFocusOnClick, setFocusVadjustment, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setHomogeneous, setLayout, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setOrientation, setParent, setParentWindow, setProperty, setRealized, setReallocateRedraws, setReceivesDefault, setRedrawOnAllocate, setResizeMode, setSensitive, setSizeRequest, setSpacing, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getChildNonHomogeneous

buttonBoxGetChildNonHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) |
=> a | `widget`: a `ButtonBox`
-> b | `child`: a child of `widget`
-> m Bool | Returns: `True` if the child is not subject to homogenous sizing

Returns whether the child is exempted from homogenous sizing.

Since: 3.2

## getChildSecondary

buttonBoxGetChildSecondary Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) |
=> a | `widget`: a `ButtonBox`
-> b | `child`: a child of `widget`
-> m Bool | Returns: whether `child` should appear in a secondary group of children.

Returns whether `child` should appear in a secondary group of children.

Since: 2.4

## getLayout

buttonBoxGetLayout Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a) |
=> a | `widget`: a `ButtonBox`
-> m ButtonBoxStyle | Returns: the method used to lay out buttons in `widget`.

Retrieves the method being used to arrange the buttons in a button box.

## new

buttonBoxNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Orientation | `orientation`: the box's orientation.
-> m ButtonBox | Returns: a new `ButtonBox`.

Creates a new `ButtonBox`.

Since: 3.0

## setChildNonHomogeneous

buttonBoxSetChildNonHomogeneous Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) |
=> a | `widget`: a `ButtonBox`
-> b | `child`: a child of `widget`
-> Bool | `nonHomogeneous`: the new value
-> m () |

Sets whether the child is exempted from homogeous sizing.

Since: 3.2

## setChildSecondary

buttonBoxSetChildSecondary Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a, IsWidget b) |
=> a | `widget`: a `ButtonBox`
-> b | `child`: a child of `widget`
-> Bool | `isSecondary`: if `True`, the `child` appears in a secondary group of the button box.
-> m () |

Sets whether `child` should appear in a secondary group of children. A typical use of a secondary child is the help button in a dialog.

This group appears after the other children if the style is `ButtonBoxStyleStart`, `ButtonBoxStyleSpread` or `ButtonBoxStyleEdge`, and before the other children if the style is `ButtonBoxStyleEnd`. For horizontal button boxes, the definition of before/after depends on direction of the widget (see `widgetSetDirection`). If the style is `ButtonBoxStyleStart` or `ButtonBoxStyleEnd`, then the secondary children are aligned at the other end of the button box from the main children. For the other styles, they appear immediately next to the main children.

## setLayout

buttonBoxSetLayout Source #

Arguments

:: (HasCallStack, MonadIO m, IsButtonBox a) |
=> a | `widget`: a `ButtonBox`
-> ButtonBoxStyle | `layoutStyle`: the new layout style
-> m () |

Changes the way buttons are arranged in their container.

# Properties

## layoutStyle

No description available in the introspection data.

constructButtonBoxLayoutStyle :: (IsButtonBox o, MonadIO m) => ButtonBoxStyle -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`layout-style`” property. This is rarely needed directly, but it is used by `new`.

getButtonBoxLayoutStyle :: (MonadIO m, IsButtonBox o) => o -> m ButtonBoxStyle Source #

Get the value of the “`layout-style`” property. When overloading is enabled, this is equivalent to

    get buttonBox #layoutStyle

setButtonBoxLayoutStyle :: (MonadIO m, IsButtonBox o) => o -> ButtonBoxStyle -> m () Source #

Set the value of the “`layout-style`” property. When overloading is enabled, this is equivalent to

    set buttonBox [ #layoutStyle := value ]